/* Estilos para options de nível de produtos */

.option-nivel-0 {
    background-color: #bababa;
}

.option-nivel-1 {
    background-color: #dfdfdf;
}

.option-nivel-2 {
    background-color: #f3f3f3;
}

/* Fim estilos para options de nível de produtos */

/* 
    @todo Essa classe deve ser revizada
    Estilo para divs com 3 produtos na ordenação de destaque 
*/

.coluna-listagem.produtos-produto.produtos-3 {
    width: 50%;
}

/* Fim estilo para divs com 3 produtos na ordenação de destaque */

/* Estilo mouse cursor */

.cursor-pointer {
    cursor: pointer;
}

/* Fim estilo mouse cursor */

/* Estilos para QRCode */

.div-6 {
    display: inline-block;
    width: 6%;
    margin-bottom: 10px;
    padding-right: 1%;
    padding-left: 1%;
}

/* Fim estilos para QRCode */

/* Estilos para combo de produtos */

.coluna-listagem.produtos-produto.produtos-4 {
    width: 33%;
}

.bloco-listagem-secundario {
    width: 100%;
    height: 120px;
    margin-left: 0%;
    border-left: 6px solid #edde39;
}

.bloco-listagem-principal {
    width: 100%;
    height: 120px;
    margin-left: 0%;
    border-left: 6px solid #38ecaa;
}

.bloco-imagem-combo {
    margin-top: 0px !important;
}

/* Fim estilos para combo de produtos */

.alinhamento-direita {
    text-align: right;
}


/* Estilos tooltip relatórios */

.tooltip {
    position: relative;
    display: block;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: auto;
    background-color: white;
    color: black;
    text-align: left;
    padding-right: 8px;
    border-style: solid;
    border-width: 0 4px 0 0;
    border-color: grey;
    /* Position the tooltip */
    position: absolute;
    z-index: 1;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
}

/* Fim estilos tooltip relatórios */

/* Estilos para contrato */
.borda-inferior {
    border-bottom: 1.5px solid #0232aa;
}

/* Fim estilos para contrato */

/* Estilos para gestão de contatos */
.gestao-contatos-logs {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr
}

.gestao-contatos-anotacoes {
    grid-template-columns: 1fr 1fr 1fr 6fr 1fr
}

/* Fim estilos para gestão de contatos */

.link-paginacao.w--current {
    background-color: #00a9d7;
    color: #fff;
    text-decoration: none;
}

.contatos-img-backgroud {
    background: no-repeat;
    background-size: 35px 100%;
    background-position: left center;
}

.div-sucesso {
    margin-bottom: 10px;
    padding: 10px;
    background-color: #ebffee;
    color: #00cd23;
}

.imagem-login {
    width: 26px;
    margin-right: 10px;
}

.div-erro {
    margin-bottom: 10px;
    padding: 10px;
    background-color: #ffdede;
    color: #e60014;
}

.margem-inferior-0 {
    margin-bottom: 0px;
}

.inline-block {
    display: inline-block;
}

.botoes-compartilhamento {
    border: 1.5px solid #0232aa;
    border-radius: 50px;
}

.valores-alinhar {
    width: 19%;
    display: inline-flex;
}

/* Classe utilizada na função de ocultar campos */
.div-15 {}

.gestao-contatos-percursos {
    grid-template-columns: 1fr 1fr 1fr 3fr
}

p.nome-produto.dados.break-spaces {
    white-space: break-spaces;
}

/* */
.span-icone-fontawesome {
    margin-right: 5px;
    font-family: 'Fontawesome webfont', sans-serif;
}

.div-50 {
    display: inline-block;
    width: 48.5%;
    margin-bottom: 10px;
    padding-right: 1%;
    padding-left: 1%;
}

.dropdown-filtro {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
}

/* Ajuste select múltipla */
.w-dropdown-btn.w-dropdown-toggle.w-dropdown-link {
    position: relative;
    vertical-align: top;
    text-decoration: none;
    color: #222222;
    padding: 20px;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    white-space: nowrap;
}

.select-multipla {
    padding: 5px 70px 5px 5px;
}

.display-none {
    display: none;
}

/* Novo sistema de upload */
.div-drop-imagem.drag-over {
    transition: transform 0.2s ease-in-out;
    transform: translateY(-10px);
}

.barra-upload {
    height: 20px;
    margin-top: 10px;
    width: 100%;
    transition: background-color 0.2s;
    position: relative;
}

.img-previa {
    border: 2px dashed #E5E5E5;
    opacity: 1;
    width: 250px;
    height: auto;
}

.img-previa.carregada {
    cursor: pointer;
}

.loader {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.7);
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader:before {
    content: "";
    display: block;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 5px solid #E5E5E5;
    border-top-color: #2196F3;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.arrastando {
    opacity: 0.5;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    outline: 2px dashed #2196F3;
    background-color: #F5F5F5;
    transform: scale(1.2);
}

.ampliar-imagem-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.3);
}

.img-ampliada {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 90%;
    max-height: 90%;
    background-color: white;
    border: 2px dashed #E5E5E5;
}

.ampliar-imagem-fechar {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 30px;
    cursor: pointer;
    color: #fff;
}

.img-info {
    font-size: 14px;
    font-weight: 600;
    color: #666;
}

.img-info.tamanho-original {
    color: #ff6f47;
}

.img-info.tamanho-processada {
    color: #00b894;
}

.tag-imagem {
    position: absolute;
    top: 5px;
    left: 5px;
    background-color: #2674D9;
    color: white;
    padding: 5px;
    font-size: 12px;
    font-weight: bold;
    border-radius: 5px;
    z-index: 1;
}

.arrastar-sobre-elemento {
    background-color: #2196f3;
    border: 3px dashed #fff;
    border-radius: 5px;
}


/* Estilos para o overlay de fundo */
.ficheiro-overlay {
    background-color: rgba(0, 0, 0, 0.3);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Estilos para a janela do seletor de arquivos */
.ficheiro {
    background-color: white;
    width: 80%;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

/* Estilos para o cabeçalho do seletor de arquivos */
.ficheiro-cabecalho {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.ficheiro-pesquisa {
    display: inline-block;
    width: 100%;
    max-width: 400px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-right: 10px;
    font-size: 16px;
    box-sizing: border-box;
    margin-bottom: 10px;
}

.ficheiro-pesquisa input[type="text"] {
    width: 100%;
    border: none;
    outline: none;
    font-size: 16px;
    box-sizing: border-box;
}

/* Estilos para o botão de fechar */
.close-button {
    font-size: 1.5rem;
    cursor: pointer;
}

.ficheiro-arquivos {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    max-height: 400px;
    overflow-y: auto;
}

.ficheiro-arquivos-arquivo {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-radius: 5px;
    margin-right: 10px;
    margin-bottom: 10px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
    flex-basis: calc(20% - 10px);
}

/* Estilos para o ícone de arquivo */
.file-icon {
    font-size: 2rem;
    margin-right: 10px;
}

/* Estilos para o nome do arquivo quando selecionado */
.file-preview {
    max-height: 250px;
    width: auto;
    display: block;
    margin-bottom: 10px;
}

.file-name {
    flex: 1;
    display: block;
    text-align: center;
}

/* Estilos para a barra lateral do overflow */
.ficheiro-arquivos::-webkit-scrollbar {
    width: 10px;
}

.ficheiro-arquivos::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.ficheiro-arquivos::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}

.ficheiro-arquivos::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.filter-tags {
    display: flex;
    margin-top: 10px;
}

.filter-tag {
    display: inline-block;
    background-color: #f1f1f1;
    padding: 5px 10px;
    border-radius: 5px;
    margin-right: 10px;
    cursor: pointer;
}

.filter-tag.selecionada {
    background-color: #007BFF;
    color: white;
}

.span-tamanho {
    display: inline-block;
    width: auto;
    height: 20px;
    background-color: #00a9d7;
    color: #fff;
    line-height: 20px;
    font-weight: 400;
    text-align: center;
}

/* ! ||--------------------------------------------------------------------------------||
/* ! ||                                 Select múltipla                                ||
/* ! ||--------------------------------------------------------------------------------||*/
.selecao-pesquisavel .label-input {
    font-size: 14px;
    font-weight: 400;
    text-align: left;
}

.selecao-pesquisavel .label-input.login {
    color: #4c4c4c;
    font-weight: 300;
}

.selecao-pesquisavel .botao-acao {
    margin-top: 20px;
    padding: 10px 20px;
    border-radius: 50px;
    background-color: #0232aa;
    transition: all 300ms ease;
    color: #fff;
}

.selecao-pesquisavel .botao-acao:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3);
}

.selecao-pesquisavel .botao-acao.filtros {
    height: 26px;
    padding: 0 8px;
    border: 1.5px solid #0232aa;
    color: #0232aa;
}

.selecao-pesquisavel .botao-acao.filtros:hover {
    background-color: #0232aa;
    box-shadow: none;
    color: #fff;
}

.selecao-pesquisavel {
    position: relative;
}

.select-selecionar-todos {
    top: 6px;
    right: 10px;
    color: green;
    font-size: 15px;
    cursor: pointer;
    position: absolute;
}

.opcoes-selecao {
    display: none;
    max-height: 200px;
    overflow-y: auto;
    background-color: #fff;
    border: 1px solid #ddd;
    border-top: none;
    position: absolute;
    box-shadow: rgba(0, 0, 0, 0.4) 4px 4px 10px;
    z-index: 999;
}

.opcoes-selecao::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.opcoes-selecao::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.opcoes-selecao::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}

.opcoes-selecao::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.opcoes-selecao .opcao-selecao {
    white-space: nowrap;
    padding: 5px;
    cursor: pointer;
    transition: background-color 0.2s ease-in-out;
}

.opcoes-selecao .opcao-selecao:hover {
    background-color: #f7f9fa;
}

.opcoes-selecao .opcao-selecao.selecionado {
    background-color: #0275d8 !important;
    color: #fff;
}

.opcoes-selecao .opcao-selecao.selecionado:hover {
    background-color: #0275d8;
    color: #fff;
}

.selecao-pesquisavel input {
    width: 100%;
    border: none;
    outline: none;
    margin: 5px;
    font-size: 16px;
    box-sizing: border-box;
}

.selecao-tag {
    background-color: #2674D9;
    color: white;
    padding: 5px;
    border-radius: 5px;
    margin-right: 3px;
    margin-bottom: 3px;
    display: inline-block;
}

.selecao-tag-excluir:hover {
    cursor: pointer;
    border-radius: 5px;
    background-color: #ed3939;
}

.selecao-pesquisa {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 200px;
    display: inline-block;
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-right: 10px;
    font-size: 16px;
    box-sizing: border-box;
}

.selecao-pesquisa-pre {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.selecao-pesquisa-pre input {
    flex: 1;
    min-width: 76px;
    width: auto;
}

.selecao-pesquisa::-webkit-scrollbar {
    width: 10px;
}

.selecao-pesquisa::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.selecao-pesquisa::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}

.selecao-pesquisa::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.popup-alerta {
    height: auto;
    width: auto;
    min-width: 150px;
    padding: 10px;
    border-radius: 6px;
    background-color: #2ecc71;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
    text-align: center;
    z-index: 9999;
}

.popup-alerta p {
    color: #fff;
    font-size: 1.2em;
    margin-bottom: 20px;
}

.popup-alerta.verde {
    background-color: #2ecc71;
}

.popup-alerta.azul {
    background-color: #0064b4
}

.popup-alerta.vermelho {
    background-color: #aa0f16;
}

.popup-alerta.amarelo {
    background-color: #edde39;
}

.popup-overlay {
    z-index: 9999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup {
    background: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    text-align: center;
    max-width: 70%;
}

.popup h2 {
    margin-top: 0;
}

.buttons {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.buttons button {
    margin: 0 10px;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    color: #fff;
}

.buttons .sim {
    background: #e74c3c;
}

.buttons .vermelho {
    background: #e74c3c;
}

.buttons .nao {
    background: #2ecc71;
}

.buttons .verde {
    background: #2ecc71;
}

.selecao-desabilitada {
    cursor: default;
    background-color: #eee;
}

.coluna-listagem.pedidos-cidade {
    width: 12%;
}

.coluna-listagem.pedidos-status {
    width: 16%;
}

.botao-acao[disabled] {
    cursor: not-allowed;
}
